Change Provider VM root user password

Change Provider VM root user password

Use this endpoint to update provider node's SSH root user password.
Authorized Roles : PROVIDER

Request
URI
PUT
https://{api_host}/appliance/provider/{providerId}/password
COPY
Path Parameters
string
providerId
Required

Provider Node instance ID


Request Body
ChangeAppliancePasswordDto of type(s) application/json
Required
{
    "currentPassword": "string",
    "newPassword": "string"
}
string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
currentPassword
Required

currentPassword

string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
newPassword
Required

newPassword

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Operation doesn't return any data structure